function ifnavon(obj1){var arr1 = obj1.split(",");for(i=0;i<arr1.length;i++){if(location.href.toLowerCase().indexOf(arr1[i])!=-1){return true;}}return false;}
function donavon(obj1){if(document.getElementById(obj1)){document.getElementById(obj1).className="on";}}

if(ifnavon("city_life_class.aspx,city_life.aspx,city_life_pl.aspx")){donavon("nav2");}
else if(ifnavon("city_houserent.aspx,city_housesell.aspx,city_housedemand.aspx,city_houserent_pl.aspx,city_housesell_pl.aspx,city_housedemand_pl.aspx")){donavon("nav3");}
else if(ifnavon("city_job_class.aspx,city_job.aspx,city_job_pl.aspx")){donavon("nav4");}
else if(ifnavon("mall_set.aspx,city_mall_class.aspx,city_mall.aspx,city_mall_pl.aspx,mall_order.aspx")){donavon("nav5");}
else if(ifnavon("fclp_do.aspx,fclp.aspx,fclp_p.aspx,fclp_dp.aspx,fclp_zx.aspx")){donavon("nav15");}
else if(ifnavon("tuan_set.aspx,tuan_subscribe.aspx,tuan_class.aspx,tuan.aspx,tuan_buy.aspx,tuan_do.aspx")){donavon("nav16");}
else if(ifnavon("info_class.aspx,info.aspx,info_pl.aspx,info_do.aspx")){donavon("nav17");}
else if(ifnavon("city_mlevel.aspx,city_m.aspx,city_m_blog.aspx,city_m_photo.aspx,city_m_blog_pl.aspx,city_m_photo_pl.aspx,city_m_feedback.aspx,jfdh.aspx,jfjp.aspx,shop.aspx,shop_class.aspx,shop_dp.aspx,shop_praise_level.aspx")){donavon("nav18");}
else if(ifnavon("bbs_class,bbs_re.aspx,links.aspx,feedback.aspx,wordkey.aspx,coupons.aspx,city_m_company_class.aspx,city_m_company.aspx")){donavon("nav19");}
else if(ifnavon("administrator.aspx,administrator_nav.aspx,role.aspx,role_do.aspx,config.aspx,city_area.aspx,city_public.aspx,gg.aspx,gg_do.aspx,keydes.aspx,dzuc.aspx")){donavon("nav20");}
else{document.getElementById("nav1").className="on";}

function isShowNavLi(obj){if(document.getElementById(obj)&&document.getElementById(obj).innerHTML.toLowerCase().indexOf(".aspx")==-1)document.getElementById(obj).style.display="none";}
function isShowNavLi_(){var isShowNavLiArr=new Array("nav2","nav3","nav4","nav5","nav15","nav16","nav17","nav18","nav19","nav20");for(var i=0;i<isShowNavLiArr.length;i++)isShowNavLi(isShowNavLiArr[i]);}
isShowNavLi_();